summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-12-02 10:07:52 +0100
committerMichał Górny <mgorny@gentoo.org>2020-12-02 10:20:34 +0100
commit96f672996d9789112ac48b4d2b4895ac0e9431c2 (patch)
tree02c6d244dda9c18f832be9286dd309d0f90743c3
parentdev-python/aws-sam-translator: Bump to 1.32.0 (diff)
downloadgentoo-96f672996d9789112ac48b4d2b4895ac0e9431c2.tar.gz
gentoo-96f672996d9789112ac48b4d2b4895ac0e9431c2.tar.bz2
gentoo-96f672996d9789112ac48b4d2b4895ac0e9431c2.zip
dev-python/wheel: Bump to 0.36.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/wheel/Manifest1
-rw-r--r--dev-python/wheel/wheel-0.36.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index a74cc6c375e..4df43acb817 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1 +1,2 @@
DIST wheel-0.35.1.gh.tar.gz 63563 BLAKE2B d1432a638b91e821cb9b9fc748567b9ad18bbfd4737cee915ee3e2c585c4758e79bcf163edac56a09f9e356d81a057214c8e84c5c75b45505c67aa761e97fe3f SHA512 34cd6d1a649842abd895418c0183e68f44e228be905041e1dd8562987fbab8aa617da9b78479cb8d56fb6bb8714ec1085b87640c385bfc933e215f6e33ccf55b
+DIST wheel-0.36.0.gh.tar.gz 65186 BLAKE2B 384dea20a6fdc2e9cc581c1e30814ac84285b8ca2ac5588fc837a1e27add493dedd38ead643776d1353a98cafa45a609e9655168fd09944cfe016d99e357fcd2 SHA512 1f851dfc18fa96d67bb96c61eec15999c46ea77c490173b71121810480f3c30f2de770a2e6e0712d04f35c91fcadbb276b05968e2b5db76dea882929f555f983
diff --git a/dev-python/wheel/wheel-0.36.0.ebuild b/dev-python/wheel/wheel-0.36.0.ebuild
new file mode 100644
index 00000000000..3878e8e58ef
--- /dev/null
+++ b/dev-python/wheel/wheel-0.36.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="https://pypi.org/project/wheel/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/pypa/wheel/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed \
+ -e 's:--cov=wheel::g' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ if ! python_is_python3; then
+ # install fails due to unicode in paths
+ ewarn "Testing is broken with py2.7, please test externally"
+ return
+ fi
+
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}